package com.ruoyi.app.mapper;

import java.util.List;
import com.ruoyi.app.model.DryLossRatio;

/**
 * 干损比例Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-19
 */
public interface DryLossRatioMapper 
{
    /**
     * 查询干损比例
     * 
     * @param id 干损比例主键
     * @return 干损比例
     */
    public DryLossRatio selectDryLossRatioById(Long id);

    /**
     * 查询干损比例列表
     * 
     * @param dryLossRatio 干损比例
     * @return 干损比例集合
     */
    public List<DryLossRatio> selectDryLossRatioList(DryLossRatio dryLossRatio);

    /**
     * 校验是否存在重叠的时间范围
     *
     * @param dryLossRatio 干损比例
     * @return 结果
     */
    public List<DryLossRatio> checkTimeOverLap(DryLossRatio dryLossRatio);

    /**
     * 获取满足当前时间的干损比
     *
     * @return 结果
     */
    public DryLossRatio selectDryLossRatioNow();
    /**
     * 新增干损比例
     * 
     * @param dryLossRatio 干损比例
     * @return 结果
     */
    public int insertDryLossRatio(DryLossRatio dryLossRatio);

    /**
     * 修改干损比例
     * 
     * @param dryLossRatio 干损比例
     * @return 结果
     */
    public int updateDryLossRatio(DryLossRatio dryLossRatio);

    /**
     * 删除干损比例
     * 
     * @param id 干损比例主键
     * @return 结果
     */
    public int deleteDryLossRatioById(Long id);

    /**
     * 批量删除干损比例
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDryLossRatioByIds(Long[] ids);
}
